Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86057 - User-customizable KDE menus impossible
Summary: User-customizable KDE menus impossible
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 10:23 UTC by Peter Åstrand
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-03 12:59:13 UTC


Attachments (Terms of Use)

Description Peter Åstrand 2003-03-13 10:23:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
In 8.0, it's not possible to customize the KDE menu on a user basis. Eg, I want
different menus for different users. Basically, I want to have a very minimal
menu for some users. I've tried:

1) Using the KDE menu editor, and selecting "Hide" on the system menus. This
creates empty folders in ~/.kde/share/applnk-redhat. But after login, I still
get all menus. This method worked in 7.3. 

2) Creating a new menu hierarchy below /usr/local/kde, and setting
KDEDIRS=/usr/local/kde. Under /usr/local/kde, I've created
share/applnk-redhat/Accessories/.directory with:

[Desktop Entry]
Icon=redhat-accessories.png
Name=Accessories
NoDisplay=true

This doesn't help either; /var/lib/menu will *still* override this. 

3) Using permissions. With 7.3, it was possible to set file permissions on
individual .desktop files, so that these were only displayed for certain users.
This doesn't work with 8.0 either. 



Version-Release number of selected component (if applicable):
3.0.3-14

Comment 1 Ngo Than 2003-04-03 12:59:13 UTC
it seems to be fixed in RHL 9 or in kde 3.1.1 which you can download from
ftp.kde.org for RHL 8.0.




Note You need to log in before you can comment on or make changes to this bug.